%define name elvis
%define version 2.1
%define release 2

Summary: Elvis - VI Replacement
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Editors
Url: ftp://ftp.cs.pdx.edu/pub/elvis/
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Elvis is a clone of vi/ex, the standard UNIX editor. Elvis supports
nearly all of the vi/ex commands, in both visual mode and ex mode.
Elvis adds support for multiple files, multiple windows, a variety of
display modes, on-line help, and other miscellaneous extensions.

%package X11
Summary: Elvis VI Replacement - X11 Interface
Group: Applications/Editors
Requires: elvis
%description X11
Elvis is a clone of vi/ex, the standard UNIX editor. Elvis supports
nearly all of the vi/ex commands, in both visual mode and ex mode.
Elvis adds support for multiple files, multiple windows, a variety of
display modes, on-line help, and other miscellaneous extensions.

This is the X11 interface for elvis.


%prep

%setup -q

%build
./configure --bindir=/usr/bin --datadir=/usr/lib/elvis --with-x
make
mv elvis xelvis
make clean
./configure --bindir=/usr/bin --datadir=/usr/lib/elvis --with-x=no
make

%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/elvis,man/man1,X11R6/{bin,lib/X11/{bitmaps,pixmaps}}}

install -s -o root -g root -m 0755 elvis $RPM_BUILD_ROOT/usr/bin
install -s -o root -g root -m 0755 xelvis $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -o root -g root -m 0755 ref $RPM_BUILD_ROOT/usr/bin
install -s -o root -g root -m 0755 ctags $RPM_BUILD_ROOT/usr/lib/elvis
install -s -o root -g root -m 0755 fmt $RPM_BUILD_ROOT/usr/lib/elvis
install -o root -g root -m 0644 lib/* $RPM_BUILD_ROOT/usr/lib/elvis
install -o root -g root -m 0644 guix11/elvis.xbm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/bitmaps/elvis.xbm
install -o root -g root -m 0644 guix11/elvis.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/pixmaps/elvis.xpm
install -o root -g root -m 0644 lib/elvis.man $RPM_BUILD_ROOT/usr/man/man1/elvis.1
install -o root -g root -m 0644 lib/ref.man $RPM_BUILD_ROOT/usr/man/man1/ref.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.html COPYING INSTALL BUGS
%defattr(-,root,root)
/usr/bin/elvis
/usr/bin/ref
/usr/man/man1/elvis.1
/usr/man/man1/ref.1
/usr/lib/elvis

%files X11
%defattr(-,root,root)
/usr/X11R6/bin/xelvis
/usr/X11R6/lib/X11/bitmaps/elvis.xbm
/usr/X11R6/lib/X11/pixmaps/elvis.xpm

%changelog
* Sun Mar 7 1999 Michael Maher <mike@redhat.com>
- changed around spec file from ryan and rebuilt

